Rebuild for libbluetooth2 -> libbluetooth3 transition

Bug #276343 reported by Mario Limonciello
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
anyremote (Ubuntu)
Fix Released
Undecided
Unassigned
bluemon (Ubuntu)
Fix Released
Undecided
Unassigned
bluetooth-alsa (Ubuntu)
Fix Released
Undecided
Unassigned
bluez-btsco (Ubuntu)
Fix Released
Undecided
Unassigned
bluez-hcidump (Ubuntu)
Fix Released
Undecided
Unassigned
btscanner (Ubuntu)
Fix Released
Undecided
Unassigned
cwiid (Ubuntu)
Fix Released
Undecided
Unassigned
evolution (Ubuntu)
Fix Released
Undecided
Unassigned
freej (Ubuntu)
Fix Released
Undecided
Unassigned
gammu (Ubuntu)
Fix Released
Undecided
Unassigned
gnokii (Ubuntu)
Fix Released
Undecided
Unassigned
gnome-bluetooth (Ubuntu)
Fix Released
Undecided
Unassigned
gnome-phone-manager (Ubuntu)
Fix Released
Undecided
Unassigned
gnome-vfs-obexftp (Ubuntu)
Fix Released
Undecided
Unassigned
gpe-bluetooth (Ubuntu)
Fix Released
Undecided
Unassigned
libbtctl (Ubuntu)
Fix Released
Undecided
Unassigned
libnet-bluetooth-perl (Ubuntu)
Fix Released
Undecided
Unassigned
libopenobex (Ubuntu)
Fix Released
Undecided
Unassigned
libopensync-plugin-irmc (Ubuntu)
Fix Released
Undecided
Unassigned
libpam-blue (Ubuntu)
Fix Released
Undecided
Unassigned
libsyncml (Ubuntu)
Fix Released
Undecided
Unassigned
libwiimote (Ubuntu)
Fix Released
Undecided
Unassigned
multisync (Ubuntu)
Fix Released
Undecided
Unassigned
obexfs (Ubuntu)
Fix Released
Undecided
Unassigned
obexftp (Ubuntu)
Fix Released
Undecided
Unassigned
obexpushd (Ubuntu)
Fix Released
Undecided
Unassigned
osso-gwconnect (Ubuntu)
Fix Released
Undecided
Unassigned
pilot-link (Ubuntu)
Fix Released
Undecided
Unassigned
pybluez (Ubuntu)
Fix Released
Undecided
Unassigned
python-lightblue (Ubuntu)
Fix Released
Undecided
Unassigned
scmxx (Ubuntu)
Fix Released
Undecided
Unassigned
sylpheed (Ubuntu)
Fix Released
Undecided
Unassigned
totem (Ubuntu)
Fix Released
Undecided
Unassigned
transfermii (Ubuntu)
Fix Released
Undecided
Unassigned
ussp-push (Ubuntu)
Fix Released
Undecided
Unassigned

Bug Description

Binary package hint: anyremote

This bug is directly related to bug 274950. If that bug is going to happen, all of the tasks on this bug will need to be rebuilt. Some of these will require source changes, others need just a changelog bump.

The bug is a work in progress. All "large" changes will be uploaded to the bluetooth PPA. Relevant debdiffs for API changes will be attached to this bug. Once a fix is ready/done for a package, mark it as Fix Committed.

Some build failures are available at:
http://people.ubuntu.com/~stevenk/bluez/

---------------------------------------------------------------
No Source Changes (Changelog bump only)
---------------------------------------------------------------
bluez-btsco
bluez-hcidump
gammu
gnokii
gnome-vfs-obexftp
gpe-bluetooth
libnet-bluetooth-perl
libopenobex
libsyncml
obexfs
obexftp
obexpushd
osso-gwconnect
pybluez
python-lightblue
totem
gnome-phone-manager

---------------------------------------------------------------
Minor diff (eg build depends libbluetooth2-dev -> libbluetooth-dev)
---------------------------------------------------------------
anyremote
bluemon
btscanner
libopensync-plugin-irmc
scmxx
transfermii
ussp-push
evolution
multisync
slypheed

---------------------------------------------------------------
Larger diff or patching to fix API changes
---------------------------------------------------------------
bluetooth-alsa
cwiid
freej
libbtctl
libwiimote
pilot-link
libpam-blue

description: updated
description: updated
description: updated
Revision history for this message
Mario Limonciello (superm1) wrote :

I'm marking gnome-bluetooth won't fix. It's functionality is available in obex-data-server and it didn't survive the transition. See bug 276353 for this.

description: updated
Changed in gnome-bluetooth:
status: New → Won't Fix
description: updated
description: updated
Steve Kowalik (stevenk)
description: updated
Changed in bluemon:
status: New → Fix Committed
Steve Kowalik (stevenk)
description: updated
description: updated
Changed in pilot-link:
status: New → Fix Committed
Changed in bluez-btsco:
status: New → Fix Committed
Changed in bluez-hcidump:
status: New → Fix Committed
Changed in gammu:
status: New → Fix Committed
Changed in gnokii:
status: New → Fix Committed
Changed in gnome-vfs-obexftp:
status: New → Fix Committed
Changed in gpe-bluetooth:
status: New → Fix Committed
Changed in libnet-bluetooth-perl:
status: New → Fix Committed
Changed in libopenobex:
status: New → Fix Committed
Changed in libpam-blue:
status: New → Fix Committed
Changed in libsyncml:
status: New → Fix Committed
Changed in libwiimote:
status: New → Fix Committed
Changed in transfermii:
status: New → Fix Committed
Changed in ussp-push:
status: New → Fix Committed
Changed in totem:
status: New → Fix Committed
Changed in obexfs:
status: New → Fix Committed
Changed in obexftp:
status: New → Fix Committed
Changed in obexpushd:
status: New → Fix Committed
Changed in anyremote:
status: New → Fix Committed
Changed in pybluez:
status: New → Fix Committed
Changed in osso-gwconnect:
status: New → Fix Committed
Changed in python-lightblue:
status: New → Fix Committed
Changed in btscanner:
status: New → Fix Committed
Changed in libopensync-plugin-irmc:
status: New → Fix Committed
Changed in scmxx:
status: New → Fix Committed
Steve Kowalik (stevenk)
description: updated
description: updated
Changed in bluetooth-alsa:
status: New → Fix Committed
Changed in libpam-blue:
status: Fix Committed → New
Changed in libwiimote:
status: Fix Committed → New
Steve Kowalik (stevenk)
description: updated
Revision history for this message
Mario Limonciello (superm1) wrote :

Pilot link's debdiff needs to be updated. Here's the better fix for it.

Revision history for this message
Mario Limonciello (superm1) wrote :

Once pilot link is updated, evolution nicely compiles against it. It's an indirect dependency of it.

Changed in libbtctl:
status: New → Fix Committed
Revision history for this message
Mario Limonciello (superm1) wrote :

Also, once pilot link is updated, sylpheed works against it. Explicit dependency.

Changed in evolution:
status: New → Fix Committed
Changed in sylpheed:
status: New → Fix Committed
Revision history for this message
Mario Limonciello (superm1) wrote :

Also, once pilot link is updated, multisync works against it. Explicit dependency.

Changed in multisync:
status: New → Fix Committed
Revision history for this message
Onkar Shinde (onkarshinde) wrote :
Revision history for this message
Onkar Shinde (onkarshinde) wrote :
Changed in libwiimote:
status: New → Fix Committed
description: updated
description: updated
Revision history for this message
Mario Limonciello (superm1) wrote :

One libbtctl is updated, gnome-phone-manager works against it. Explicit dependency.

Changed in gnome-phone-manager:
status: New → Fix Committed
description: updated
Revision history for this message
Mario Limonciello (superm1) wrote :

Here's the debdiff for cwiid. Had to work around the API change.

Changed in cwiid:
status: New → Fix Committed
Revision history for this message
Mario Limonciello (superm1) wrote :

Here's the debdiff for freej. Had to work around the API change.

Changed in freej:
status: New → Fix Committed
description: updated
Revision history for this message
Justin Dugger (jldugger) wrote :

Are any of these patches intended upstream? I haven't seen anything on cwiid, for example.

Revision history for this message
Mario Limonciello (superm1) wrote : Re: [Bug 276343] Re: Rebuild for libbluetooth2 -> libbluetooth3 transition

Yeah they're intended for upstream, but they were *just* generated today,
give everyone a moment ;)

On Tue, Sep 30, 2008 at 20:02, Justin Dugger <email address hidden> wrote:

> Are any of these patches intended upstream? I haven't seen anything on
> cwiid, for example.
>
> --
> Rebuild for libbluetooth2 -> libbluetooth3 transition
> https://bugs.launchpad.net/bugs/276343
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Mario Limonciello
<email address hidden>

Revision history for this message
Michael Casadevall (mcasadevall) wrote :

At the request of persia, I fixed libpam-blue. Debdiff attached. Can someone upload to the bluetooth PPA please? No "source" changes were made, but I had to hack the rules to stop needlessly rebuilding autoconf scripts.

description: updated
Changed in libpam-blue:
assignee: nobody → sonicmctails
status: New → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cwiid - 0.6.00-4ubuntu1

---------------
cwiid (0.6.00-4ubuntu1) intrepid; urgency=low

  * Add bluez_4_api_changes.patch for FTBFS related to BlueZ 4.x
    upgrade (LP: #276343)
  * debian/control:
    - Build depend on libbluetooth-dev instead.

 -- Mario Limonciello <email address hidden> Tue, 30 Sep 2008 16:54:57 -0500

Changed in cwiid:
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-phone-manager - 0.60-1build1

---------------
gnome-phone-manager (0.60-1build1) intrepid; urgency=low

  * Rebuild against newer libbtctl (LP: #276343)
  * debian/control:
    - Build depend on versioned libbtctl.

 -- Mario Limonciello <email address hidden> Tue, 30 Sep 2008 16:48:15 -0500

Changed in gnome-phone-manager:
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libbtctl - 0.10.0-1ubuntu1

---------------
libbtctl (0.10.0-1ubuntu1) intrepid; urgency=low

  * debian/control
    - Change 'Depends' for libbtctl-dev from libbluetooth2-dev to
      libbluetooth-dev.
    - Update 'Maintainer' field.
  * debian/patches/01_fix_build.patch
    - Patch to change function name to the corresponding name in bluez 4.x.
      (LP: #276343)

 -- Onkar Shinde <email address hidden> Wed, 01 Oct 2008 00:59:02 +0530

Changed in libbtctl:
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package freej - 0.10git20080824-1ubuntu1

---------------
freej (0.10git20080824-1ubuntu1) intrepid; urgency=low

  * Add 02_bluez_4x_api.patch.dpatch for changes with
    BlueZ 4.x API (LP: #276343)

 -- Mario Limonciello <email address hidden> Tue, 30 Sep 2008 17:09:07 -0500

Changed in freej:
status: Fix Committed → Fix Released
Revision history for this message
Alex Ruddick (alexrudd0) wrote :

While you're at it, can you make totem-plugins and gvfs-backends not depend on libbluetooth(x)? I don't even have bluetooth hardware on this machine and would like to remove the package entirely.

I'm not sure if there are others.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pilot-link - 0.12.3-4ubuntu3

---------------
pilot-link (0.12.3-4ubuntu3) intrepid; urgency=low

  [ Steve Kowalik ]
  * Rebuild for libbluetooth2 -> libbluetooth3 transistion. (LP: #276343)
  * Add 30_3_arg_open.dpatch, calling open(2) with 3 arguments.

  [ Mario Limonciello
  * debian/control:
    - Adjust depends to libbluetooth-dev instead of libbluetooth2-dev.

 -- Mario Limonciello <email address hidden> Tue, 30 Sep 2008 15:07:54 -0500

Changed in pilot-link:
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libwiimote - 0.2-0ubuntu4

---------------
libwiimote (0.2-0ubuntu4) intrepid; urgency=low

  * debian/control
    - Change build dependency libbluetooth2-dev to libbluetooth-dev.
    - Change runtime dependency of libcwiimote-dev from libbluetooth2-dev to
      libbluetooth-dev.
  * debian/patches/01_fix_build.patch
    - Patch to change function name to the corresponding name in bluez 4.x.
      (LP: #276343)

 -- Onkar Shinde <email address hidden> Wed, 01 Oct 2008 01:55:50 +0530

Changed in libwiimote:
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sylpheed - 2.5.0-2ubuntu2

---------------
sylpheed (2.5.0-2ubuntu2) intrepid; urgency=low

  * Rebuild against newer pilot link and libbluetooth (LP: #276343)
  * debian/control:
    - Build depend on newer pilot link

 -- Mario Limonciello <email address hidden> Tue, 30 Sep 2008 15:41:40 -0500

Changed in sylpheed:
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package multisync - 0.82-8.1ubuntu2

---------------
multisync (0.82-8.1ubuntu2) intrepid; urgency=low

  * Rebuild against newer pilot-link and libbluetooth-dev. (LP: #276343)
  * debian/control:
    - Build depend on newer pilot link
    - Depend on libbluetooth-dev instead of libbluetooth2-dev

 -- Mario Limonciello <email address hidden> Tue, 30 Sep 2008 15:52:47 -0500

Changed in multisync:
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package evolution - 2.24.0-0ubuntu2

---------------
evolution (2.24.0-0ubuntu2) intrepid; urgency=low

  * Rebuild against newer pilot link and libbluetooth (LP: #276343)

 -- Mario Limonciello <email address hidden> Tue, 30 Sep 2008 15:36:14 -0500

Changed in evolution:
status: Fix Committed → Fix Released
Revision history for this message
Mario Limonciello (superm1) wrote :

totem (2.24.1-0ubuntu4) intrepid; urgency=low

  * No-change rebuild for libbluetooth2 -> libbluetooth3 transistion.

 -- Steve Kowalik < <email address hidden>> Wed, 08 Oct 2008 14:16:16 +1100

Changed in totem:
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package anyremote - 4.2-1ubuntu1

---------------
anyremote (4.2-1ubuntu1) intrepid; urgency=low

  * Rebuild for libbluetooth2 -> libbluetooth3 transistion. (LP: #276343)
  * Add libxi-dev to Build-Depends.

 -- Steve Kowalik <email address hidden> Fri, 10 Oct 2008 11:06:09 +1100

Changed in anyremote:
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libopensync-plugin-irmc - 0.22-3ubuntu1

---------------
libopensync-plugin-irmc (0.22-3ubuntu1) intrepid; urgency=low

  * Rebuild for libbluetooth2 -> libbluetooth3 transistion. (LP: #276343)
  * Change libbluetooth2-dev Build-Depends to libbluetooth-dev.

 -- Steve Kowalik <email address hidden> Fri, 10 Oct 2008 14:30:00 +1100

Changed in libopensync-plugin-irmc:
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package btscanner - 2.1-3ubuntu1

---------------
btscanner (2.1-3ubuntu1) intrepid; urgency=low

  * Rebuild for libbluetooth2 -> libbluetooth3 transistion. (LP: #276343)
  * Change libbluetooth2-dev Build-Depends to libbluetooth-dev.

 -- Steve Kowalik <email address hidden> Fri, 10 Oct 2008 14:29:57 +1100

Changed in btscanner:
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bluemon - 1.4-3ubuntu1

---------------
bluemon (1.4-3ubuntu1) intrepid; urgency=low

  * Rebuild for libbluetooth2 -> libbluetooth3 transistion. (LP: #276343)
  * Change libbluetooth2-dev Build-Depends to libbluetooth-dev.

 -- Steve Kowalik <email address hidden> Fri, 10 Oct 2008 14:29:51 +1100

Changed in bluemon:
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bluetooth-alsa - 0.5cvs20080115-1ubuntu1

---------------
bluetooth-alsa (0.5cvs20080115-1ubuntu1) intrepid; urgency=low

  * Rebuild for libbluetooth2 -> libbluetooth3 transistion. (LP: #276343)
  * Run libtoolize.

 -- Steve Kowalik <email address hidden> Fri, 10 Oct 2008 14:29:54 +1100

Changed in bluetooth-alsa:
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package transfermii - 1:0.6.1-1ubuntu1

---------------
transfermii (1:0.6.1-1ubuntu1) intrepid; urgency=low

  * Rebuild for libbluetooth2 -> libbluetooth3 transistion. (LP: #276343)
  * Change libbluetooth2-dev Build-Depends to libbluetooth-dev.

 -- Steve Kowalik <email address hidden> Fri, 10 Oct 2008 14:30:06 +1100

Changed in transfermii:
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package scmxx - 0.9.0-2.1ubuntu1

---------------
scmxx (0.9.0-2.1ubuntu1) intrepid; urgency=low

  * Rebuild for libbluetooth2 -> libbluetooth3 transistion. (LP: #276343)
  * Change libbluetooth2-dev Build-Depends to libbluetooth-dev.

 -- Steve Kowalik <email address hidden> Fri, 10 Oct 2008 14:30:02 +1100

Changed in scmxx:
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libpam-blue - 0.9.0-2ubuntu1

---------------
libpam-blue (0.9.0-2ubuntu1) intrepid; urgency=low

  * Changed libbluetooth2-dev to libbluetooth-dev (LP: #276343)
  * Removed the regenerating commands for autotools
    - there are no changes to configure.in, thus no need
    to rebuild the configure files and the assiocated fun
    that goes with that.

 -- Michael Casadevall <email address hidden> Fri, 10 Oct 2008 02:22:47 -0400

Changed in libpam-blue:
status: Fix Committed → Fix Released
Revision history for this message
Steve Kowalik (stevenk) wrote : Fix bug statuses

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 affects ubuntu/bluez-btsco
 status fixreleased

 affects ubuntu/bluez-hcidump
 status fixreleased

 affects ubuntu/gammu
 status fixreleased

 affects ubuntu/gnokii
 status fixreleased

 affects ubuntu/gnome-vfs-obexftp
 status fixreleased

 affects ubuntu/gpe-bluetooth
 status fixreleased

 affects ubuntu/libnet-bluetooth-perl
 status fixreleased

 affects ubuntu/libopenobex
 status fixreleased

 affects ubuntu/libsyncml
 status fixreleased

 affects ubuntu/obexfs
 status fixreleased

 affects ubuntu/obexftp
 status fixreleased

 affects ubuntu/obexpushd
 status fixreleased

 affects ubuntu/osso-gwconnect
 status fixreleased

 affects ubuntu/pybluez
 status fixreleased

 affects ubuntu/python-lightblue
 status fixreleased
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFI7yiHCfB0CMh//C8RAoqkAJ9hayauxoItlcXb4mdAl6jhEk7g2QCgy438
MNkuP4pE/jSVadKdLPzs1hc=
=AnN+
-----END PGP SIGNATURE-----

Changed in bluez-btsco:
status: Fix Committed → Fix Released
Changed in bluez-hcidump:
status: Fix Committed → Fix Released
Changed in gammu:
status: Fix Committed → Fix Released
Changed in gnokii:
status: Fix Committed → Fix Released
Changed in gnome-vfs-obexftp:
status: Fix Committed → Fix Released
Changed in gpe-bluetooth:
status: Fix Committed → Fix Released
Changed in libnet-bluetooth-perl:
status: Fix Committed → Fix Released
Changed in libopenobex:
status: Fix Committed → Fix Released
Changed in libsyncml:
status: Fix Committed → Fix Released
Changed in obexfs:
status: Fix Committed → Fix Released
Changed in obexftp:
status: Fix Committed → Fix Released
Changed in obexpushd:
status: Fix Committed → Fix Released
Changed in osso-gwconnect:
status: Fix Committed → Fix Released
Changed in pybluez:
status: Fix Committed → Fix Released
Changed in python-lightblue:
status: Fix Committed → Fix Released
Steve Kowalik (stevenk)
Changed in libpam-blue:
assignee: sonicmctails → nobody
Revision history for this message
Steve Kowalik (stevenk) wrote :

Forgot to put the bug into the changelog :-(

ussp-push (0.9-2ubuntu1) intrepid; urgency=low

  * Rebuild for libbluetooth2 -> libbluetooth3 transistion.
  * Change libbluetooth2-dev Build-Depends to libbluetooth-dev.
  * bluez_4_api_changes.patch: Add, changes ABI for BlueZ 4.x.

 -- Steve Kowalik <email address hidden> Sat, 11 Oct 2008 14:45:02 +1100

Changed in ussp-push:
status: Fix Committed → Fix Released
Revision history for this message
Steve Kowalik (stevenk) wrote :

Forgot to put the bug in the changelog again :-(

gnome-bluetooth (0.11.0-0ubuntu3) intrepid; urgency=low

  * No-change rebuild for libbluetooth2 -> libbluetooth3 transistion.

 -- Steve Kowalik <email address hidden> Sun, 12 Oct 2008 13:00:48 +1100

Changed in gnome-bluetooth:
status: Won't Fix → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers